<template>
  <span>
    {{
      moment(value).format(format) !== "Invalid date"
        ? moment(value).format(format)
        : "-"
    }}
  </span>
</template>

<script>
import moment from "moment";
export default {
  props: {
    value: {
      type: String,
      default: ""
    },
    format: {
      type: String,
      default: "DD/MM/YYYY"
    }
  },
  data() {
    return {
      moment
    };
  }
};
</script>
